package com.netpotlet.cove.bean;

import java.io.Serializable;

import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.event.ActionEvent;
import javax.faces.validator.LengthValidator;
import javax.faces.validator.ValidatorException;

public class UserinfoBean implements Serializable {
    private String email = "";
    private String password = "";
    private Integer favorite = new Integer(0);
    private int minimum;
    private int maximum;
    private LengthValidator validator = new LengthValidator();

    public UserinfoBean() {}

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }
    
    public Integer getFavorite() {
        return favorite;
    }

    public void setFavorite(Integer favorite) {
        this.favorite = favorite;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public void update(ActionEvent event) {
        System.out.println("email: "+email);
        System.out.println("password: "+password);
        System.out.println("favorite: "+favorite);
    }

    public int getMaximum() {
        return validator.getMaximum();
    }

    public void setMaximum(int maximum) {
        this.maximum = maximum;
    }

    public int getMinimum() {
        return validator.getMinimum();
    }

    public void setMinimum(int minimum) {
        this.minimum = minimum;
    }
    
    public void validate(FacesContext context,
                         UIComponent component,
                         Object value) throws ValidatorException {
        validator.setMinimum(minimum);
        validator.setMaximum(maximum);
        validator.validate(context, component, value);
    }
}
