package com.netpotlet.cove.el;

import javax.faces.context.FacesContext;
import javax.faces.el.EvaluationException;
import javax.faces.el.MethodBinding;
import javax.faces.el.MethodNotFoundException;

public class ConstantMethodBinding extends MethodBinding {
    private String outcome;

    public ConstantMethodBinding(String outcome) {
        this.outcome = outcome;
    }

    public Object invoke(FacesContext facescontext, Object aobj[])
        throws EvaluationException, MethodNotFoundException {
        return outcome;
    }

    public Class getType(FacesContext facescontext)
        throws MethodNotFoundException {
        return String.class;
    }
}
