package com.netpotlet.xul.component;

import javax.faces.component.UIComponent;
import javax.faces.component.UIOutput;

import com.netpotlet.xul.element.XulCaption;

public class CaptionComponent extends UIOutput implements CoveComponent {
    public XulCaption xulCaption;

    public CaptionComponent(XulCaption caption) {
        super();
        xulCaption = caption;
        setId(caption.getId());
    }

    public void addChild(UIComponent component) {
        getChildren().add(component);
    }

    public String getFamily() {
        return "Caption";
    }
}
