package com.netpotlet.xul.component;

import javax.faces.component.UIComponent;
import javax.faces.component.UIOutput;

import com.netpotlet.xul.element.XulColumn;

public class ColumnComponent extends UIOutput implements CoveComponent {
    public XulColumn xulColumn;

    public ColumnComponent(XulColumn column) {
        super();
        xulColumn = column;
        setId(column.getId());
    }

    public void addChild(UIComponent component) {
        getChildren().add(component);
    }

    public String getFamily() {
        return "Column";
    }
}
