package com.netpotlet.xul.component;

import javax.faces.component.UIComponent;
import javax.faces.component.UIOutput;

import com.netpotlet.xul.element.XulGrid;

public class GridComponent extends UIOutput implements CoveComponent {
    public XulGrid xulGrid;

    public GridComponent(XulGrid grid) {
        super();
        xulGrid = grid;
        setId(grid.getId());
    }

    public void addChild(UIComponent component) {
        getChildren().add(component);
    }

    public String getFamily() {
        return "Grid";
    }
}
