package com.netpotlet.xul.component;

import javax.faces.component.UIComponent;
import javax.faces.component.UIOutput;

import com.netpotlet.xul.element.XulGroupbox;

public class GroupboxComponent extends UIOutput implements CoveComponent {
    public XulGroupbox xulGroupbox;

    public GroupboxComponent(XulGroupbox groupbox) {
        super();
        xulGroupbox = groupbox;
        setId(groupbox.getId());
    }

    public void addChild(UIComponent component) {
        getChildren().add(component);
    }

    public String getFamily() {
        return "Groupbox";
    }
}
