package com.netpotlet.xul.component;

import javax.faces.component.UIComponent;
import javax.faces.component.UIOutput;

import com.netpotlet.xul.element.XulScript;

public class ScriptComponent extends UIOutput implements CoveComponent {
    public XulScript xulScript;

    public ScriptComponent(XulScript script) {
        super();
        xulScript = script;
        setId(script.getId());
    }

    public void addChild(UIComponent component) {
        getChildren().add(component);
    }

    public String getFamily() {
        return "Script";
    }
}
