package com.netpotlet.xul.component;

import javax.faces.component.UIComponent;
import javax.faces.component.UIViewRoot;

import com.netpotlet.xul.element.XulWindow;

public class WindowComponent extends UIViewRoot implements CoveComponent {
    public XulWindow xulWindow;

    public WindowComponent(XulWindow window) {
        super();
        xulWindow = window;
        setViewId("root");
        setId(window.getId());
    }

    public String getRenderKitId() {
        return "XUL_RENDER_KIT";
    }

    public void addChild(UIComponent component) {
        getChildren().add(component);
    }

    public String getFamily() {
        return "Window";
    }
}
