package com.netpotlet.cove.el;

import javax.faces.FactoryFinder;
import javax.faces.application.ApplicationFactory;
import javax.faces.application.Application;
import javax.faces.context.FacesContext;
import javax.faces.el.ValueBinding;

public class CoveElUtil {
	private CoveElUtil() {}
	
	public static ValueBinding getValueBinding(String valueRef) {
		ApplicationFactory aFactory = (ApplicationFactory)
			FactoryFinder.getFactory(FactoryFinder.APPLICATION_FACTORY);
		Application application = aFactory.getApplication();
		String jsfValueRef = "#{"+valueRef+"}";
		ValueBinding valueBinding = 
		  application.createValueBinding(jsfValueRef);
		return valueBinding;
	}
	
	public static void setRefValue(String valueRef, Object value) {
		ValueBinding valueBinding = CoveElUtil.getValueBinding(valueRef);
		valueBinding.setValue(FacesContext.getCurrentInstance(),
							  value);
	}
}
