package com.netpotlet.xul.component;

import javax.faces.component.UIComponent;
import javax.faces.component.UIOutput;

import com.netpotlet.xul.element.XulColumns;

public class ColumnsComponent extends UIOutput implements CoveComponent {
    public XulColumns xulColumns;

    public ColumnsComponent(XulColumns columns) {
        super();
        xulColumns = columns;
        setId(columns.getId());
    }

    public void addChild(UIComponent component) {
        getChildren().add(component);
    }

    public String getFamily() {
        return "Columns";
    }
}
