package com.netpotlet.xul.component;

import javax.faces.component.UIComponent;
import javax.faces.component.UIOutput;

import com.netpotlet.xul.element.XulLabel;

public class LabelComponent extends UIOutput implements CoveComponent {
    public XulLabel xulLabel;

    public LabelComponent(XulLabel label) {
        super();
        xulLabel = label;
        setId(label.getId());
    }

    public void addChild(UIComponent component) {
        getChildren().add(component);
    }

    public String getFamily() {
        return "Label";
    }
}
