package com.netpotlet.xul.component;

import javax.faces.component.UIComponent;
import javax.faces.component.UIOutput;

import com.netpotlet.xul.element.XulRow;

public class RowComponent extends UIOutput implements CoveComponent {
    public XulRow xulRow;

    public RowComponent(XulRow row) {
        super();
        xulRow = row;
        setId(row.getId());
    }

    public void addChild(UIComponent component) {
        getChildren().add(component);
    }

    public String getFamily() {
        return "Row";
    }
}
