package com.netpotlet.xul.component;

import javax.faces.component.UIComponent;
import javax.faces.component.UIOutput;

import com.netpotlet.xul.element.XulSpacer;

public class SpacerComponent extends UIOutput implements CoveComponent {
    public XulSpacer xulSpacer;

    public SpacerComponent(XulSpacer spacer) {
        super();
        xulSpacer = spacer;
        setId(spacer.getId());
    }

    public void addChild(UIComponent component) {
        getChildren().add(component);
    }

    public String getFamily() {
        return "Spacer";
    }
}
